Bug 207241 - XenU domain can not be created successfully.
XenU domain can not be created successfully.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Aron Griffis
Martin Jenner
:
Depends On:
Blocks: 418441
  Show dependency treegraph
 
Reported: 2006-09-20 01:33 EDT by You, Yongkang
Modified: 2008-02-26 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:21:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XenU boot log. (13.20 KB, text/plain)
2006-09-20 01:33 EDT, You, Yongkang
no flags Details

  None (edit)
Description You, Yongkang 2006-09-20 01:33:26 EDT
Description of problem:

FC6 Test3 Xen and VTI domain can boot up successfully.
But XenU domain can not.

XenU booting will fail at "Switching to new root and running init"


Version-Release number of selected component (if applicable):
kernel-xen-2.6.17-1.2630.fc6

How reproducible:
Every time

Steps to Reproduce:
1. Boot FC6-test3 Xen and Xen0
2. Start xend
3. prepare XenU disk image and xenU config file
4. xm create -c xenU.config
  
Actual results:
XenU can not be created successfully.

Expected results:
XenU can be created successfully.

Additional info:
I will paste the xenU screen log to attachment.
Comment 1 You, Yongkang 2006-09-20 01:33:28 EDT
Created attachment 136705 [details]
XenU boot log.
Comment 2 Akio Takebe 2006-09-22 02:20:05 EDT
I can boot up domU by using my special initrd without vif.
I think mkinitrd of fc6 make initrd by using dom0 infomation.
(for example dom0's /etc/fstab, dom0's pci infomaition. )
So when xm boot domU, domU kernel don't use bootparmeter of domU.

The below is a recipe of making my special inird

1. copy initrd
# mkdir tmp
# cp /boot/efi/efi/redhat/initrd-2.6.18-1.2679.fc6xenU.img tmp/

2. expand inird
# cd tmp
# gzip -cd ../initrd-2.6.18-1.2679.fc6xenU.img |cpio -id

3. modify init in initrd
# vi init
	insmod /lib/ohci-hcd.ko 
	echo "Loading ehci-hcd.ko module"
	insmod /lib/ehci-hcd.ko 
	mount -t usbfs /proc/bus/usb /proc/bus/usb
	echo "Loading jbd.ko module"
	insmod /lib/jbd.ko 
	echo "Loading ext3.ko module"
	insmod /lib/ext3.ko 
	#echo "Loading scsi_mod.ko module"           <<<<<< comment out
	#insmod /lib/scsi_mod.ko                     <<<<<< comment out
	#echo "Loading sd_mod.ko module"             <<<<<< comment out
	#insmod /lib/sd_mod.ko                       <<<<<< comment out
	#echo "Loading scsi_transport_spi.ko module" <<<<<< comment out
	#insmod /lib/scsi_transport_spi.ko           <<<<<< comment out
	#echo "Loading mptbase.ko module"            <<<<<< comment out
	#insmod /lib/mptbase.ko                      <<<<<< comment out
	#echo "Loading mptscsih.ko module"           <<<<<< comment out
	#insmod /lib/mptscsih.ko                     <<<<<< comment out
	#echo "Loading mptspi.ko module"             <<<<<< comment out
	#insmod /lib/mptspi.ko                       <<<<<< comment out
	echo "Loading xenblk.ko module"
	insmod /lib/xenblk.ko
	mkblkdevs
	#resume LABEL=SWAP-sda3                      <<<<<< comment out
	echo Creating root device.
	mkrootdev -t ext3 -o defaults,ro sda1 <<<<change device to sda1
	echo Mounting root filesystem.
	mount /sysroot
	echo Setting up other filesystems.
	setuproot
	echo Switching to new root and running init.
	switchroot
4. make new initrd
# find . -print | cpio --quiet -c -o | gzip -9 >../initrd-new.img

5. my domU configuration
kernel = "/boot/efi/efi/redhat/vmlinuz-2.6.18-1.2679.fc6xen"
ramdisk = "/xen/initrd-new.img"
memory = 1024
name = "fc6.DomU"
#vif = [ '' ]
disk = [ 'file:/xen/image/fc6.root.img,sda1,w' ]
root = "/dev/sda1 ro"
extra = "4 ide0=noprobe ide1=noprobe ide2=noprobe ide3=noprobe selinux=0 
rhgb"

6. etc
   6.1. copy modlues into domU image file
        # mount -o loop domU.img /mnt
        # cp -a /lib/modules/2.6.18-1.2679.fc6xen/ /mnt/lib/modules/
   6.2. disable selinux
        # vi /etc/sysconfig/selinux
        SELINUX=disabled <<<< change enforcing to disabled
   6.3. modify /etc/fstab in domU.img
	/dev/sda1     /         ext3    defaults        1 1
	devpts        /dev/pts  devpts  gid=5,mode=620  0 0
	tmpfs         /dev/shm  tmpfs   defaults        0 0
	proc          /proc     proc    defaults        0 0
	sysfs         /sys      sysfs   defaults        0 0


But I cannot use network on domU.
I'll check the src.rpm of kernel-xen.

Best Regards,

Akio Takebe
Comment 3 You, Yongkang 2006-09-22 20:47:08 EDT
I have tried above ways posted by Akio. Now my xenU can be brought up. But 
XenU booting speed is a little slow.

One thing need to point out that xenblk.ko doesn't make into initrd. It should 
be preloaded. If not, XenU can not creat root device successfully and have to 
kill the Init. 

Following Akio's steps and copying xenblk.ko from Xen0:/lib/modules/*/ to 
initrd:/lib/ can enable preload xenblk.

Comment 4 You, Yongkang 2006-10-16 22:01:34 EDT
I met new issue in Rawhide kernel-xen-2.6.18-1.2784.fc6. XenU creating failed.
The Xen log:

 ### domain f000000007bd8080: rid=80000-c0000 mp_rid=2000
(XEN) arch_domain_create: domain=f000000007bd8080
(XEN) DomainU EFI build up: ACPI 2.0=0x1000
(XEN) dom mem: type=13, attr=0x8000000000000008, range=[0x0000000000000000-0x000
0000000001000) (4KB)
(XEN) dom mem: type=10, attr=0x8000000000000008, range=[0x0000000000001000-0x000
0000000002000) (4KB)
(XEN) dom mem: type= 6, attr=0x8000000000000008, range=[0x0000000000002000-0x000
0000000003000) (4KB)
(XEN) dom mem: type= 7, attr=0x0000000000000008, range=[0x0000000000003000-0x000
000000fff4000) (255MB)
(XEN) dom mem: type=12, attr=0x0000000000000001, range=[0x00000ffffc000000-0x000
0100000000000) (64MB)
(XEN) vcpu_get_lrr0: Unmasked interrupts unsupported
(XEN) vcpu_get_lrr1: Unmasked interrupts unsupported
(XEN) Linux version 2.6.18-1.2784.fc6xen (brewbuilder@altix1.build.redhat.com) (
gcc version 4.1.1 20061011 (Red Hat 4.1.1-30)) #1 SMP Thu Oct 12 19:42:01 EDT 20
06
EFI v1.00 by Xen/ia64: SALsystab=0x2178 ACPI 2.0=0x1000
rsvd_region[0]: [0xe000000000002228, 0xe0000000000022f0)
rsvd_region[1]: [0xe000000000003000, 0xe000000000003030)
rsvd_region[2]: [0xe000000004000000, 0xe000000004c0ff0b)
rsvd_region[3]: [0xe00000000fff4000, 0xe00000000fff8000)
rsvd_region[4]: [0xffffffffffffffff, 0xffffffffffffffff)
SAL 0.1: Xen/ia64 Xen/ia64 version 0.0
SAL: AP wakeup using external interrupt vector 0xf3
xen_pal_emulator: UNIMPLEMENTED PAL CALL 42!!!!
(XEN) No logical to physical processor mapping available
bootmem alloc of 67141632 bytes failed!
Kernel panic - not syncing: Out of memory
 XEN)
Comment 5 You, Yongkang 2006-10-17 23:24:33 EDT
This issue happened when XenU memory=256M.
If I enlarge XenU memory to 300M or 512M, XenU creating hasn't problem.
Comment 6 Matthew Miller 2007-04-06 12:07:20 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Red Hat Bugzilla 2007-07-24 19:57:21 EDT
change QA contact
Comment 8 Chris Lalancette 2008-02-26 18:21:49 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.